iPhone 5.1.1 with 01.59.00

trabant

macrumors newbie
Original poster
May 14, 2010
18
0
Chicago
My iPhone 4 is currently on 5.0.1 with the original modem firmware 01.59.00. I need this for the unlock, out of the States and without the original AT&T sim card.

Is it possible to upgrade to 5.1.1 with a custom ipsw as per iClarified tutorial(redsnow) and than jailbreak with absinthe 2.0.2 and unlock?

Thank you!
 

TriJetHero

macrumors 601
Oct 13, 2010
4,953
141
World
you can upgrade to 5.1.1 while preserving BB with redsn0w.

only thing is that Ultrasn0w is not updated yet, could be that you have the 1 bar cosmetic issue.
 

Stever71

macrumors newbie
Nov 3, 2011
17
0
snowbreeze 2.95 is out

What is New?
● Added 5.1.1/9B208 untether payload for the iPhone 4 GSM.
● Added iPhone 3GS (iPad Baseband users) location services fix.
 

trabant

macrumors newbie
Original poster
May 14, 2010
18
0
Chicago
I was trying to avoid using redsn0w for jailbreak, didn't want a tethered one. I guess I'll wait and look for options.

Thank you guys!
 

Kyotoma

macrumors 68000
Nov 11, 2010
1,996
46
Carnegie and Ontario
I was trying to avoid using redsn0w for jailbreak, didn't want a tethered one. I guess I'll wait and look for options.

Thank you guys!
You can upgrade to 5.1.1 using a NO_BB IPSW created using Redsn0w. After that, you can Jailbreak using Absinthe and then install Ultrasn0w.
 

King Apple

macrumors regular
Mar 17, 2010
191
0
ultrasn0w 1.2.5 is not compatible with 5.1.1 yet.
you will have to download ultrasn0w fixer first from cydia in order for your phone to get any service.
 
Last edited:

gr8pics

macrumors regular
Jan 20, 2008
171
4
Any updates in this?
Maybe a link to the correct vers, since its been a while now?
I also got the Iph4 5.01 bb 01.59, last time i used Redsnow, but my experience is that the best jb solution changes for each update in firmware...
 

dhlizard

macrumors G4
Mar 16, 2009
10,214
119
The Jailbreak Community
Any updates in this?
Maybe a link to the correct vers, since its been a while now?
I also got the Iph4 5.01 bb 01.59, last time i used Redsnow, but my experience is that the best jb solution changes for each update in firmware...
If you expect to use Ultrasn0w, your only option on an iPhone4 is to keep 1.59.xx
 

gr8pics

macrumors regular
Jan 20, 2008
171
4
You have a funny oposite way of explaning things :p

How about if i expect to keep 01.59.xx, what solution should i go for then?
 

dhlizard

macrumors G4
Mar 16, 2009
10,214
119
The Jailbreak Community
You have a funny oposite way of explaning things :p

How about if i expect to keep 01.59.xx, what solution should i go for then?
Keeping or preserving baseband is only done for purposes of a software unlock.
For an iPhone4, the only software unlock tool that is applicable is Ultrasn0w.
And it only unlocks 1.59.xx baseband.

My answer was spot-on and I though it was worded accurately. :)
 

gr8pics

macrumors regular
Jan 20, 2008
171
4
And ultrasnow has the abilty to preserve my bb 01.59?
Im asking, cause last time it was Redsnow...
Sorry, im doing this like every 6th month, and everytime i fall of the wagon forget and have to start learning all over again :eek:
 

dhlizard

macrumors G4
Mar 16, 2009
10,214
119
The Jailbreak Community
And ultrasnow has the abilty to preserve my bb 01.59?
Im asking, cause last time it was Redsnow...
Sorry, im doing this like every 6th month, and everytime i fall of the wagon forget and have to start learning all over again :eek:
Yes, i'd agree you have forgotten
And if you read my responses, Ultrasn0w is the tool that provides a software unlock.
It does not make any changes to firmware or software.
For that one uses a combination of iTunes and Redsn0w

Good luck, I'm out of this thread.
 
Register on MacRumors! This sidebar will go away, and you'll see fewer ads.